1 Reply Latest reply: Dec 17, 2010 11:39 PM by 645832 RSS

    Java Runtime Environment (JRE) version 1.6 is not supported by this driver"

    645832
      Goal: create new ODI install in testlab on single server

      Installer: ODI newbie

      Server Software Installed: all 32-bit
      Windows 2008
      sql 2008
      JDK 1.6_22
      sqljdbc4.jar (downloaded from Microsoft's site)
      No weblogic server installed

      Issue: Using ODI Studio to create Master Repository. Jar files and config described below already implemented. When press “Test Connection ” in ODI Studio I get this error: : “Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0"


      Details:

      (Sqljdbc.jar and) Sqljdbc4.jar downloaded from here:
      http://www.microsoft.com/downloads/en/details.aspx?FamilyID=99b21b65-e98f-4a61-b811-19912601fdc9&displaylang=en


      (Sqljdbc.jar and ) Sqljdbc4.jar placed in C:\Users\Administrator\AppData\Roaming\odi\oracledi\userlib directory

      Repository Connection Details:
           Technology: Microsoft SQL Server
           JDBC driver: com.microsoft.sqlserver.jdbc.SqlServerDriver
           JDBC URL : jdbc:sqlserver://ODI:1433;SelectMethod=cursor
           User : odi


      What am I doing wrong? TIA.